/**
 * File: josephus-graphics.h
 * -------------------------
 * Provides the rendering class for the josephus-survivors
 * problem.
 */
 
#ifndef _josephus_graphics_
#define _josephus_graphics_
#include "gwindow.h"
class JosephusWindow : private GWindow {
public:
    
    JosephusWindow();
    ~JosephusWindow();
    
    void clear();
    void setNumPeople(int numPeople);
    void spare(int person);
    void execute(int person);
    void resurrect(int person);
    
private:
    int numPeople;
    void drawCircle();
    void drawPerson(int person, string color, bool drawNumber);
};

#endif // _josephus_graphics_
